%define		pkg_name	check_nwc_health
Name:		nagios-plugins-nwc-health
Version:	10.0.0.3
Release:	2.1
Summary:	MySQL health check plugins for Nagios
Group:		Applications/System
License:	GPL
URL:		http://labs.consol.de/lang/de/nagios/check_nwc_health/
Source0:	%{pkg_name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

Prefix:		%{_prefix}/lib/nagios/plugins

Provides:	check-nwc-health
Provides:	check_nwc_health
PreReq: sed

BuildRequires:	perl-Net-SNMP
%global		__requires_exclude_from %{_prefix}/lib/nagios/plugins/check_nwc_health

%description
check_nwc_health is a plugin to check different types of network components.
It can check interface statistics, hardware (CPU, Memory, Fans, PSUs etc.),
firewall policies, HSRP, Loadbalancer Pools, CPU and memory usage.

The communication is done using SNMP, versions 1, 2c and 3 are supported.

The following Networkcomponents, firewalls, SAN-Switches and Loadbalancers can be checked:

Cisco IOS, Cisco Nexus, F5 BIG-IP, CheckPoint Firewall1, Juniper NetScreen,
HP Procurve, Nortel, Brocade 4100/4900, EMC DS 4700, EMC DS 24, Allied Telesyn.
Blue Coat SG600, Cisco Wireless Lan Controller 5500, Brocade ICX6610-24-HPOE,
NX-OS, FOUNDRY-SN-AGENT-MIB, FRITZ!BOX 7390, FRITZ!DECT 200, Juniper IVE,
Pulse-Gateway MAG4610, Cisco IronPort AsyncOS

%description(de)
check_nwc_health ist ein Plugin für Nagios, Shinken und Icinga,
welches der Überwachung von Netzwerkkomponenten dient. Es ist in der Lage,
Interfacestatistiken, Hardware (CPU, Speicher, Lüfter, Stromversorgungsmodule etc.),
Firewall-Policies, HSRP, Loadbalancer-Pools, Prozessor- und Speichernutzung abzufragen.

Die Kommunikation mit den Endgeräten wird über SNMP abgewickelt, wobei die Versionen 1, 2c und 3 unterstützt werden.

Bisher können damit folgende Netzwerkkomponenten, Firewalls,
SAN-Switches und Loadbalancer überwacht werden:

Cisco IOS, Cisco Nexus, F5 BIG-IP, CheckPoint Firewall1, Juniper NetScreen,
HP Procurve, Nortel, Brocade 4100/4900, EMC DS 4700, EMC DS 24, Allied Telesyn.
Blue Coat SG600, Cisco Wireless Lan Controller 5500, Brocade ICX6610-24-HPOE,
NX-OS, FOUNDRY-SN-AGENT-MIB, FRITZ!BOX 7390, FRITZ!DECT 200, Juniper IVE,
Pulse-Gateway MAG4610, Cisco IronPort AsyncOS

Allerdings ist nicht jeder Modus für jeden Gerätetyp verfügbar.

%prep
%setup -n %{pkg_name}-%{version}
./configure \
--prefix=%{_prefix} \
--exec-prefix=%{_prefix} \
--libexecdir=%{_prefix}/lib/nagios/plugins \
--sysconfdir=%{_sysconfdir}/nagios \
--datadir=%{_datadir}

%build
%__make

%install
mkdir -p %{buildroot}%{_prefix}/lib/nagios/plugins
%__make DESTDIR=%{buildroot} install
cd ${RPM_BUILD_ROOT}%{_prefix}/lib/nagios/plugins
for PLUGIN in check_nwc_health ; do
  sed -i s@"nagios/plugins"@"%{_prefix}/lib/nagios/plugins"@g ${PLUGIN}
done

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%dir %{_prefix}/lib/nagios
%dir %{_prefix}/lib/nagios/plugins
%{_prefix}/lib/nagios/plugins/check_nwc_health
%doc AUTHORS ChangeLog COPYING README THANKS TODO

%changelog
* Mon Feb 14 2022 Local OBS User <cs@linux-administrator.com>
- update to release 10.0.0.3
* Thu Aug 19 2021 Local OBS User <cs@linux-administrator.com>
- update to release 8.4
* Fri Dec 25 2020 Local OBS User <cs@linux-administrator.com>
- update to release 8.0
* Wed Aug  5 2020 Local OBS User <cs@linux-administrator.com>
- update to release 7.12.1.2
* Wed Mar 13 2019 Local OBS User <cs@linux-administrator.com>
- update to release 7.5.0.1
* Mon Jan 21 2019 Local OBS User <cs@linux-administrator.com>
- update to release 7.4.3
* Thu Oct  4 2018 <cs@linux-administrator.com>
- update to release 7.3.0.2
* Mon Jan 30 2017 cs@linux-administrator.com
- update to release 5.12.0.5
* Thu Aug 11 2016 cs@linux-administrator.com
- update to release 5.7.1.3
* Fri Oct 23 2015 cs@linux-administrator.com
- update to release 4.6.1
* Fri Nov 14 2014 cs@linux-administrator.com
- update to release 3.1
* Sat Sep 14 2013 cs@linux-administrator.com
- initial package
